﻿using AzureBakery.Production.Model;
using ManagementWebApi.Services;
using Microsoft.AspNet.SignalR;

namespace ManagementWebApi.SignalR
{
    [Authorize]
    public class ManagementHub : Hub
    {
        private readonly DataService _dataService = new DataService();
        private readonly MessagingService _messagingService = new MessagingService();

        public void UpdateOrder(Order order)
        {
            // Update database
            this._dataService.UpdateOrder(order);

            // Send order message to Topic
            this._messagingService.UpdateOrder(order);

            // Notify all clients
            Clients.All.updateOrder(order);
        }

        public void UpdateBatch(Batch batch)
        {
            // Update database
            this._dataService.UpdateBatch(batch);

            // Notify all clients
            Clients.All.updateBatch(batch);
        }
    }
}