﻿
using System.Runtime.Serialization;
namespace AzureBakery.Sales.Model
{
    public enum ProductType
    {
        Bread,
        Pastries,
        Biscuits,
        Cakes,
        Sandwiches
    }

    [DataContract]
    public class Product
    {
        [DataMember]
        public int Id { get; set; }

        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public ProductType ProductType { get; set; }

        [DataMember]
        public decimal Price { get; set; }

        [DataMember]
        public bool IsAvailable { get; set; }

        public Product()
        {
            this.IsAvailable = true;
        }

        public Product(string name, ProductType type, decimal price) 
            : this()
        {
            this.Name = name;
            this.ProductType = type;
            this.Price = price;
        }
    }
}
