﻿using AzureBakery.Production.Model;
using GalaSoft.MvvmLight;
using System;

namespace AzureBakery.Production.ManagementApplication.ViewModel
{
    public class OrderViewModel : ViewModelBase
    {
        private readonly Order _order = null;

        public Order Order { get { return this._order; } }

        public int Id { get { return this._order.Id; } }

        public string Reference { get { return this._order.Reference; } }

        public OrderStatus Status
        {
            get { return this._order.Status; }
            set
            {
                if(this._order.Status != value)
                {
                    this._order.Status = value;
                    base.RaisePropertyChanged(() => this.Status);
                }
            }
        }

        public DateTime CreatedDate { get { return this._order.CreatedDate; } }

        public OrderViewModel(Order order)
        {
            this._order = order;
        }
    }
}
