﻿using System;
using System.Collections.Generic;

namespace AzureBakery.Production.Model
{
    public enum OrderStatus
    {
        Open,
        New,
        ReadyForDispatch,
        Dispatched
    }

    public class Order
    {
        public int Id { get; set; }

        public string Reference { get; set; }

        public OrderStatus Status { get; set; }
        
        public virtual ICollection<OrderItem> Items { get; set; }

        public DateTime CreatedDate { get; set; }

        public Order()
        {
            this.Status = OrderStatus.Open;
            this.Items = new List<OrderItem>();
            this.CreatedDate = DateTime.Now;
            this.Reference = Guid.NewGuid().ToString();
        }

        public Order Clone()
        {
            return new Order()
            {
                Id = this.Id,
                Reference = this.Reference,
                Status = this.Status,
                CreatedDate = this.CreatedDate
            };
        }
    }
}
