﻿using System.Configuration;
using Microsoft.WindowsAzure.MobileServices;
using System.Dynamic;
using System.Threading.Tasks;

namespace AdminWebsite.MobileServices
{
    public class Notifications
    {
        private readonly MobileServiceClient _mobileService;

        public Notifications()
        {
            var mobileServiceUrl = ConfigurationManager.AppSettings["mobileServiceUrl"];
            var mobileServiceKey = ConfigurationManager.AppSettings["mobileServiceKey"];

            this._mobileService = new MobileServiceClient(mobileServiceUrl, mobileServiceKey);
        }

        public async Task NotifyPostProductNews(int productId)
        {
            dynamic data = new ExpandoObject();
            data.productId = productId;

            await this._mobileService.InvokeApiAsync<object, dynamic>("Notification/PostProductNews", data);
        }
    }
}