﻿
using System.Data.Entity;
using System.Linq;
using System.Threading.Tasks;
using System.Web.Http;
using AzureBakery.Sales.Model;
using Microsoft.WindowsAzure.Mobile.Service;
using CustomerMobileService.Models;
using Microsoft.WindowsAzure.Mobile.Service.Security;
using System.Collections.Generic;
using System;

namespace CustomerMobileService.Controllers
{
    [AuthorizeLevel(AuthorizationLevel.User)]
    public class OrderController : ApiController
    {
        public ApiServices Services { get; set; }

        // GET api/Order
        public async Task<IEnumerable<Order>> Get()
        {
            Services.Log.Info("OrderController - Started");

            var ctx = new CustomerMobileServiceContext();

            var customer = await AuthHelper.GetCustomer(User as ServiceUser, ctx);

            if (customer != null)
            {
                var orders = await ctx.Orders.Where(o => o.Customer.Id == customer.Id).ToListAsync();

                Services.Log.Info("OrderController - Completed");

                return orders;
            }
            else
            {
                var message = string.Format("User does not exist");
                Services.Log.Error(message);
                throw new Exception(message);
            }
        }
    }
}
