﻿using AzureBakery.Sales.Model;
using System.Collections.Generic;
using System.Dynamic;
using System.Net.Http;
using System.Threading.Tasks;

namespace CustomerPhoneApp.DataServices
{
    public class DataService : DataServiceBase, IDataService
    {
        public async Task RegisterChannel(string handle)
        {
            // Make sure we're authenticated by passing the task into ExecuteAuthenticated
            await base.ExecuteAuthenticated(async () =>
            {
                dynamic data = new ExpandoObject();
                data.handle = handle;
                await _mobileService.InvokeApiAsync<object, dynamic>("ChannelRegistration", data);
            });
        }

        public async Task DeleteChannel()
        {
            await RegisterChannel(null);
        }

        public async Task<IEnumerable<Order>> GetOrders()
        {
            return await base.ExecuteAuthenticated<IEnumerable<Order>>(async () =>
            {
                var orders = await _mobileService.InvokeApiAsync<IEnumerable<Order>>("order", HttpMethod.Get, null);

                return orders;
            });
        }
    }
}
