﻿using Microsoft.ServiceBus.Messaging;
using OrderProcessorRole.Business;
using System;
using System.Diagnostics;
using System.Threading.Tasks;

namespace OrderProcessorRole.Messaging
{
    public class OrderTopicProcessor : TopicProcessorBase
    {
        public OrderTopicProcessor()
            : base("Order", "SalesSubscription", null)
        {

        }

        protected override async Task ProcessMessage(BrokeredMessage message)
        {
            Trace.TraceInformation("OrderProcessorRole.Messaging.OrderTopicProcessor.ProcessMessage - Begin");

            try
            { 
                var order = message.GetBody<AzureBakery.Sales.Model.Order>();
                await new OrderProcessor().Process(order);

                await message.CompleteAsync();
            }
            catch (Exception ex)
            {
                Trace.TraceError("OrderProcessorRole.Messaging.OrderTopicProcessor.ProcessMessage - Error: {0}", ex);
            }
             
        }
    }
}
