﻿using AzureBakery.Sales.Model;
using Microsoft.WindowsAzure.Storage.Table;

namespace Supply.Model
{
    public class OrderEntity : TableEntity
    {
        public OrderEntity()
        {

        }

        public OrderEntity(Order order)
        {
            // Keys (order ref is unique and fairly random so using for both keys)
            this.PartitionKey = order.Reference;
            this.RowKey = order.Reference;

            // Properties
            this.Id = order.Id;
            this.Status = order.Status.ToString();

            this.FirstName = order.Customer.FirstName;
            this.LastName = order.Customer.LastName;
            this.HouseNumber = order.Customer.Address.HouseNumber;
            this.City = order.Customer.Address.City;
            this.Street = order.Customer.Address.Street;
            this.PostCode = order.Customer.Address.PostCode;
        }

        public int Id { get; set; }

        public string FirstName { get; set; }

        public string LastName { get; set; }

        public int HouseNumber { get; set; }

        public string Status { get; set; }

        public string City { get; set; }

        public string Street { get; set; }

        public string PostCode { get; set; }

        public OrderEntity Clone()
        {
            return new OrderEntity()
            {
                PartitionKey = this.PartitionKey,
                RowKey = this.RowKey,
                Id = this.Id,
                FirstName = this.FirstName,
                LastName = this.LastName,
                HouseNumber = this.HouseNumber,
                City = this.City,
                Street = this.Street,
                PostCode = this.PostCode
            };
        }
    }
}

