﻿using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;
using AzureBakery.Sales.Model;
using Supply.Model;

namespace SupplyApp.DataServices
{
    class DataService : DataServiceBase, IDataService
    {
        public async Task<byte[]> GetBarcode(string reference)
        {
            // Make sure we're authenticated by passing the task into ExecuteAuthenticated
            return await this.ExecuteAuthenticated<byte[]>(async () =>
            {
                try
                {
                    var qParams = new Dictionary<string, string> {{"reference", reference}};

                    return await _mobileService.InvokeApiAsync<byte[]>("barcode", HttpMethod.Get, qParams);
                }
                catch (Exception ex)
                {

                    throw;
                }
            });
        }

        public async Task<IEnumerable<OrderEntity>> GetOrders()
        {
            // Make sure we're authenticated by passing the task into ExecuteAuthenticated
            return await this.ExecuteAuthenticated<IEnumerable<OrderEntity>>(async () =>
            {
                try
                {

                    return await _mobileService.InvokeApiAsync<IEnumerable<OrderEntity>>("order", HttpMethod.Get, null);
                }
                catch (Exception ex)
                {

                    throw;
                }
            });
        }

        public async Task DispatchOrder(OrderEntity order)
        {
            // Make sure we're authenticated by passing the task into ExecuteAuthenticated
            await this.ExecuteAuthenticated(async () =>
            {
                try
                {
                    order.Status = OrderStatus.Dispatched.ToString();
                    await _mobileService.InvokeApiAsync<OrderEntity, object>("order", order, HttpMethod.Put, null);
                }
                catch (Exception ex)
                {

                    throw;
                }
            });
        }
    }
}
