﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Media.Imaging;
using GalaSoft.MvvmLight;
using Supply.Model;

namespace SupplyApp.ViewModel
{
    public class OrderViewModel : ViewModelBase
    {
        private readonly OrderEntity _order = null;
        private BitmapImage _barcode = null;

        public OrderEntity Order { get { return this._order; } }

        public int Id { get { return this._order.Id; } }

        public string Reference { get { return this._order.PartitionKey; } }

        public string Name { get { return string.Format("{0} {1}", this._order.FirstName, this._order.LastName); } }

        public string Address { get { return string.Format("{0}, {1}, {2}, {3}", this._order.HouseNumber, this._order.Street, this._order.City, this._order.PostCode); } }

        public BitmapImage Barcode
        {
            get { return this._barcode; }
            set
            {
                this._barcode = value;
                base.RaisePropertyChanged(() => this.Barcode);
            }
        }

        public string Status
        {
            get { return this._order.Status; }
            set
            {
                if (this._order.Status != value)
                {
                    this._order.Status = value;
                    base.RaisePropertyChanged(() => this.Status);
                }
            }
        }
        
        public OrderViewModel(OrderEntity order)
        {
            this._order = order;
        }
    }
}
