﻿using AzureBakery.Production.Model;
using GalaSoft.MvvmLight;
using System;

namespace AzureBakery.Production.ManagementApplication.ViewModel
{
    public class BatchViewModel : ViewModelBase
    {
        private readonly Batch _batch = null;

        public Batch Batch { get { return this._batch;  } }

        public int Id { get { return this._batch.Id; } }

        public int Quantity { get { return this._batch.Quantity; } }

        public string Name { get { return this._batch.Product.Name; } }

        public BatchStatus Status
        {
            get { return this._batch.Status; }
            set
            {
                if (this._batch.Status != value)
                {
                    this._batch.Status = value;
                    base.RaisePropertyChanged(() => this.Status);
                }
            }
        }

        public DateTime CreatedDate { get { return this._batch.CreatedDate; } }

        public BatchViewModel(Batch Batch)
        {
            this._batch = Batch;
        }
    }
}
