﻿using AzureBakery.Production.Model;
using OrderProcessorRole.DataAccess;
using System.Linq;
using System.Threading.Tasks;

namespace OrderProcessorRole.Business
{
    public class OrderProcessor
    {
        private readonly ApplicationDbContext _ctx = new ApplicationDbContext();

        public async Task Process(AzureBakery.Sales.Model.Order order)
        {
            // Create production order
            var prodOrder = new Order() { Reference = order.Reference, Status = (OrderStatus)order.Status,
                Items = order.Items.Select(oi => new OrderItem() { 
                    Product = _ctx.Products.SingleOrDefault(p => p.Name == oi.Product.Name), 
                    Quantity = oi.Quantity} ).ToList()};

            // Add order
            this._ctx.Orders.Add(prodOrder);

            await this._ctx.SaveChangesAsync();
        }
    }
}
