﻿using AzureBakery.Sales.Model;
using CustomerMobileService.Models;
using Microsoft.WindowsAzure.Mobile.Service.Security;
using System.Data.Entity;
using System.Threading.Tasks;

namespace CustomerMobileService.Controllers
{
    public class AuthHelper
    {
        public static async Task<Customer> GetCustomer(ServiceUser serviceUser, CustomerMobileServiceContext ctx)
        {
            // Find Twitter Id, of form Twitter:123456789
            var idParts = serviceUser.Id.Split(':');
            var key = idParts[1];
            var provider = idParts[0];

            // We now need to manually get the Customer_Id from the AspNetUser table
            var userLogins =
                await
                    ctx.AspNetUserLogins.SingleOrDefaultAsync(
                        l => l.LoginProvider == provider && l.ProviderKey == key);

            if (userLogins != null)
            {
                var id = userLogins.AspNetUser.Customer_Id;

                // Add handle to customer
                var customer = await ctx.Customers.FindAsync(id);

                return customer;
            }

            return null;
        }
    }
}