﻿using AzureBakery.Sales.Model;
using CustomerMobileService.Models;
using Microsoft.WindowsAzure.Mobile.Service;
using Microsoft.WindowsAzure.Mobile.Service.Security;
using System;
using System.Threading.Tasks;
using System.Web.Http;

namespace CustomerMobileService.Controllers
{
    [AuthorizeLevel(AuthorizationLevel.User)]
    public class ChannelRegistrationController : ApiController
    {
        public ApiServices Services { get; set; }

        public async Task Post([FromBody]dynamic data)
        {
            Services.Log.Info("ChannelRegistrationController - Started");

            var handle = (string)data.handle;

            var ctx = new CustomerMobileServiceContext();

            var customer = await AuthHelper.GetCustomer(User as ServiceUser, ctx);

            if (customer != null)
            {
                // Add handle to customer
                if (customer.PushHandle != handle)
                {
                    customer.PushHandle = handle;
                    await ctx.SaveChangesAsync();
                }
                Services.Log.Info("ChannelRegistrationController - Completed");
            }
            else
            {
                var message = string.Format("User does not exist");
                Services.Log.Error(message);
                throw new Exception(message);
            }
        }
    }
}
