﻿using AzureBakery.Sales.Model;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity;

namespace CustomerMobileService.Models
{
    public class CustomerMobileServiceContext : DbContext
    {
        // You can add custom code to this file. Changes will not be overwritten.
        // 
        // If you want Entity Framework to alter your database
        // automatically whenever you change your model schema, please use data migrations.
        // For more information refer to the documentation:
        // http://msdn.microsoft.com/en-us/data/jj591621.aspx
        //
        // To enable Entity Framework migrations in the cloud, please ensure that the 
        // service name, set by the 'MS_MobileServiceName' AppSettings in the local 
        // Web.config, is the same as the service name when hosted in Azure.

        public CustomerMobileServiceContext()
            : base("DefaultConnection")
        {
        }

        /// <summary>
        /// These are special model used to get the auth details from the AspNet tables
        /// </summary>
        public class AspNetUser
        {
            public string Id { get; set; }
            public string UserName { get; set; }
            public string PasswordHash { get; set; }
            public string SecurityStamp { get; set; }
            public string Discriminator { get; set; }
            public int Customer_Id { get; set; }
        }

        public class AspNetUserLogin
        {
            [ForeignKey("AspNetUser")]
            public string UserId { get; set; }
            [Column(Order = 1), Key]
            public string LoginProvider { get; set; }
            [Column(Order = 2), Key]
            public string ProviderKey { get; set; }
            public virtual AspNetUser AspNetUser { get; set; }
        }

        public DbSet<Customer> Customers { get; set; }

        public DbSet<Order> Orders { get; set; }

        public DbSet<Product> Products { get; set; }

        public DbSet<OrderItem> OrderItems { get; set; }


        public DbSet<AspNetUserLogin> AspNetUserLogins { get; set; }
    }

}
