﻿using System.Linq;
using System.Data.Entity;
using AzureBakery.Sales.CustomerWebsite.Models;
using AzureBakery.Sales.Model;

namespace AzureBakery.Sales.CustomerWebsite.Helpers
{
    public class BasketHelper
    {
        public static int GetCount(string uid)
        {
            var ctx = new ApplicationDbContext();

            // Find customer
            var customer = ctx.Users
                .Include(u => u.Customer)
                .Single(u => u.Id == uid).Customer;

            // Count order items 
            var items = ctx.OrderItems
                .Include(oi => oi.Order.Customer)
                .Where(oi => oi.Order.Customer.Id == customer.Id && oi.Order.Status == OrderStatus.Open);

            int count = items.Count() > 0 ? items.Sum(oi => oi.Quantity) : 0;

            return count;
        }
    }
}