﻿using System;
using System.Web;
using System.Web.Mvc;

namespace AzureBakery.Sales.CustomerWebsite.Instrumentation
{
    public class LogActionFilter : ActionFilterAttribute
    {
        public override void OnActionExecuted(ActionExecutedContext filterContext)
        {
            var controllerName = filterContext.RouteData.Values["controller"].ToString();
            var actionName = filterContext.RouteData.Values["action"].ToString();

            CustomerWebsiteEvents.Log.ActionExecuted(controllerName, actionName);

            base.OnActionExecuted(filterContext);
        }

        public override void OnActionExecuting(ActionExecutingContext filterContext)
        {
            var controllerName = filterContext.RouteData.Values["controller"].ToString();
            var actionName = filterContext.RouteData.Values["action"].ToString();

            CustomerWebsiteEvents.Log.ActionExecuting(controllerName, actionName);

            base.OnActionExecuting(filterContext);
        }

        public override void OnResultExecuted(ResultExecutedContext filterContext)
        {
            var controllerName = filterContext.RouteData.Values["controller"].ToString();
            var actionName = filterContext.RouteData.Values["action"].ToString();

            CustomerWebsiteEvents.Log.ResultExecuted(controllerName, actionName);

            base.OnResultExecuted(filterContext);
        }

        public override void OnResultExecuting(ResultExecutingContext filterContext)
        {
            var controllerName = filterContext.RouteData.Values["controller"].ToString();
            var actionName = filterContext.RouteData.Values["action"].ToString();

            CustomerWebsiteEvents.Log.ResultExecuting(controllerName, actionName);

            base.OnResultExecuting(filterContext);
        }
    }
}