using AzureBakery.Sales.Model;

namespace AzureBakery.Sales.CustomerWebsite.Migrations
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;

    internal sealed class Configuration : DbMigrationsConfiguration<AzureBakery.Sales.CustomerWebsite.Models.ApplicationDbContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = false;
        }

        protected override void Seed(AzureBakery.Sales.CustomerWebsite.Models.ApplicationDbContext context)
        {
            //  This method will be called after migrating to the latest version.
            context.Products.AddOrUpdate(
                p => p.Name,
                new Product("Cheese Pasty", ProductType.Pastries, 0.75m),
                new Product("Cornish Pasty", ProductType.Pastries, 0.83m),
                new Product("Steak Pasty", ProductType.Pastries, 0.88m),
                new Product("Chicken & Mushroom Pasty", ProductType.Pastries, 0.76m),
                new Product("Pork Pie", ProductType.Pastries, 0.55m),
                new Product("Sausage Roll", ProductType.Pastries, 0.49m),
                new Product("Donut", ProductType.Cakes, 0.23m),
                new Product("Jam Donut", ProductType.Cakes, 0.25m),
                new Product("Cup Cake", ProductType.Cakes, 0.63m),
                new Product("Fruit Cake", ProductType.Cakes, 0.84m),
                new Product("Fairy Cake", ProductType.Cakes, 0.56m),
                new Product("Chocolate Crispie", ProductType.Cakes, 0.24m),
                new Product("Chocolate Chip Cookie", ProductType.Biscuits, 0.45m),
                new Product("Gingerbread Man", ProductType.Biscuits, 0.44m),
                new Product("Flapjack", ProductType.Biscuits, 0.63m),
                new Product("Shortbread", ProductType.Biscuits, 0.64m),
                new Product("White Loaf", ProductType.Bread, 0.68m),
                new Product("Brown Loaf", ProductType.Bread, 0.70m),
                new Product("Wholemeal Loaf", ProductType.Bread, 0.75m),
                new Product("French Stick", ProductType.Bread, 0.80m),
                new Product("Baguette", ProductType.Bread, 0.88m),
                new Product("Cheese Sandwich", ProductType.Sandwiches, 1.50m),
                new Product("Cheese Salad Sandwich", ProductType.Sandwiches, 1.70m),
                new Product("Ham Sandwich", ProductType.Sandwiches, 1.80m),
                new Product("Ham Salad Sandwich", ProductType.Sandwiches, 2.00m),
                new Product("Chicken Salad Sandwich", ProductType.Sandwiches, 1.85m),
                new Product("Prawn Mayonaise Sandwich", ProductType.Sandwiches, 2.05m),
                new Product("Egg & Cress Sandwich", ProductType.Sandwiches, 0.75m)
                );
        }
    }
}
