﻿using AzureBakery.Sales.Model;
using GalaSoft.MvvmLight;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AzureBakery.Sales.OrderSim.ViewModel
{
    public class ProductViewModel : ViewModelBase
    {
        private static IEnumerable<int> _quantity = new List<int> { 0, 1, 2, 3, 4, 5, 10, 15, 20, 30, 40, 50, 75, 100, 250, 500, 1000 };

        private int _sent = 0;

        public static IEnumerable<int> Quantity { get { return ProductViewModel._quantity; } }

        public int Id { get; set; }

        public string Name { get; set; }

        public int Min { get; set; }

        public int Max { get; set; }

        public int Sent
        {
            get { return this._sent; }
            set
            {
                if(this._sent != value)
                {
                    this._sent = value;

                    base.RaisePropertyChanged(() => this.Sent);
                }
            }
        }

        public Product Product { get; set; }

        public ProductViewModel()
        {
            this.Min = 0;
            this.Max = 10;
        }
    }
}
