﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace AzureBakery.Sales.Model
{
    public enum OrderStatus
    {
        Open,
        MessageFailed,
        New,
        ReadyForDispatch,
        Dispatched
    }

    [DataContract]
    public class Order
    {
        [DataMember]
        public int Id { get; set; }

        [DataMember]
        public string Reference { get; set; }

        [DataMember]
        public OrderStatus Status { get; set; }

        [DataMember]
        public virtual Customer Customer { get; set; }

        [DataMember]
        public virtual ICollection<OrderItem> Items { get; set; }

        [DataMember]
        public DateTime CreatedDate { get; set; }

        public Order()
        {
            this.Status = OrderStatus.Open;
            this.Items = new List<OrderItem>();
            this.CreatedDate = DateTime.Now;
            this.Reference = Guid.NewGuid().ToString();
        }
    }
}
