﻿using Microsoft.WindowsAzure;
using OrderProcessorRole.Business;
using System;
using System.Diagnostics;
using System.Threading.Tasks;

namespace OrderProcessorRole.Messaging
{
    public class BatchQueueProcessor : StorageQueueProcessorBase
    {
        public BatchQueueProcessor()
            : base("batchqueue", CloudConfigurationManager.GetSetting("AzureBakery.Production.Storage"))
        {

        }

        protected override async Task Process()
        {
            Trace.TraceInformation("OrderProcessorRole.Messaging.BatchQueueProcessor.Process - Begin");

            try
            {
                // Process stock
                await new BatchProcessor().Process();
            }
            catch(Exception ex)
            {
                Trace.TraceError("OrderProcessorRole.Messaging.BatchQueueProcessor.Process - Error: {0}", ex);
            }
        }
    }
}
