﻿using AzureBakery.Sales.Model;
using OrderProcessorRole.DataAccess;
using System.Linq;
using System.Threading.Tasks;

namespace OrderProcessorRole.Business
{
    public class OrderProcessor
    {
        private readonly ApplicationDbContext _ctx = new ApplicationDbContext();

        public async Task Process(AzureBakery.Sales.Model.Order order)
        {
            // Update status
            var currentOrder = this._ctx.Orders.FirstOrDefault(o => o.Id == order.Id);

            if (currentOrder != null && currentOrder.Status != order.Status)
            {
                currentOrder.Status = order.Status;

                await this._ctx.SaveChangesAsync();
            }
        }
    }
}
